Create server
Register a new MCP server. The server is probed for available tools upon creation. Returns 409 Conflict if a server with the same name already exists.
curl -X POST "https://api.mythic-analytics.com/api/v1/mcp/servers" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"name": "Analytics Tools Server",
"url": "https://mcp.mythic-analytics.com/analytics",
"description": "example_string",
"auth_token": "example_string"
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/mcp/servers"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"name": "Analytics Tools Server",
"url": "https://mcp.mythic-analytics.com/analytics",
"description": "example_string",
"auth_token": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/mcp/servers", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"name": "Analytics Tools Server",
"url": "https://mcp.mythic-analytics.com/analytics",
"description": "example_string",
"auth_token": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "Analytics Tools Server",
"url": "https://mcp.mythic-analytics.com/analytics",
"description": "example_string",
"auth_token": "example_string"
}`)
req, err := http.NewRequest("POST", "https://api.mythic-analytics.com/api/v1/mcp/servers", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/mcp/servers')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"name": "Analytics Tools Server",
"url": "https://mcp.mythic-analytics.com/analytics",
"description": "example_string",
"auth_token": "example_string"
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "srv_5kN2mPqR",
"name": "Analytics Tools Server",
"url": "https://mcp.mythic-analytics.com/analytics",
"description": "example_string",
"status": "active",
"tool_count": 8,
"last_probed": "2024-06-15T12:00:00.000Z",
"created_at": "2024-04-01T10:00:00.000Z"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Conflict",
"message": "The request conflicts with the current state of the resource",
"code": 409,
"details": "Resource already exists"
}
/mcp/servers
Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Bearer YOUR_ADMIN_KEYAlternative to the Authorization header for server-to-server scenarios.
The media type of the request body
Display name for the server.
MCP server endpoint URL.
Optional description.
Authentication token for the server.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
API Key for authentication. Alternative to the Authorization header for server-to-server scenarios.
Body
Display name for the server.
MCP server endpoint URL.
Optional description.
Authentication token for the server.
Responses
activeinactiveerrorNumber of discovered tools.
Last updated Feb 26, 2026
Built with Documentation.AI